%define		_class		MP3
%define		_subclass	Id
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	1.2.2
Release:	%mkrel 7
Summary:	Read/write MP3-Tags
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/MP3_Id/
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildArch:	noarch


%description
The class offers methods for reading and
writing information tags (version 1) in MP3 files.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/MP3_Id.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/MP3_Id.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/MP3_Id
fi

%files
%{peardir}/*
%{xmldir}/MP3_Id.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.2.2-7.mga8
+ Revision: 1499092
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.2.2-6.mga7
+ Revision: 1273609
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 1.2.2-5.mga6
+ Revision: 934556
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-4.mga5
+ Revision: 743761
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-3.mga5
+ Revision: 687332
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.2.2-2.mga4
+ Revision: 528204
- Mageia 4 Mass Rebuild

* Sun Jun 16 2013 spuhler <spuhler> 1.2.2-1.mga4
+ Revision: 443775
- upgrade to version 1.2.2
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.2.1-5.mga3
+ Revision: 376817
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 05 2011 spuhler <spuhler> 1.2.1-4.mga1
+ Revision: 47527
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-MP3_Id


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-4mdv2011.0
+ Revision: 613702
- the mass rebuild of 2010.1 packages

* Wed Nov 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.1-3mdv2010.1
+ Revision: 470174
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.2.1-3mdv2010.0
+ Revision: 441355
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-2mdv2009.1
+ Revision: 322277
- rebuild

* Tue Sep 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.1-1mdv2009.0
+ Revision: 278928
- update to new version 1.2.1

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-2mdv2009.0
+ Revision: 236913
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.2.0-1mdv2008.1
+ Revision: 136411
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-1mdv2008.0
+ Revision: 15695
- 1.2.0


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.3-7mdv2007.0
+ Revision: 82031
- Import php-pear-MP3_Id

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.3-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.3-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.3-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.3-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.3-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.3-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.3-1mdk
- initial Mandriva package (PLD import)

